Confused newbie

Anything that pertains to Portage

Moderator: Moderators

Confused newbie

Postby wobbleyhead » Fri Aug 17, 2007 10:16

I'm having some problems with emerge and portage.

Yesterday I finally managed to sync the portage tree, I intially had the mirror address wrong so that was what was holding it up. Since that was fixed and the portage tree has been updated, I have tried to update portage as was recommended however I get the following error

> Unpacking portage-2.1.3.6.patch.bz2 to /var/tmp/portage/sys-apps/portage-2.1.3.6/work
* Applying portage-2.1.3.6.patch ... [ ok ]
* Setting portage.VERSION to 2.1.3.6 ... [ ok ]
>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/sys-apps/portage-2.1.3.6/work/portage-2.1.3 ...
gcc-config error: Could not run/locate "i386-pc-linux-gnu-gcc"

!!! ERROR: sys-apps/portage-2.1.3.6 failed.
Call stack:
ebuild.sh, line 1614: Called dyn_compile
ebuild.sh, line 971: Called qa_call 'src_compile'
environment, line 3390: Called src_compile
portage-2.1.3.6.ebuild, line 88: Called die

!!! Failed to build tbz2tool

this is repeadted in the build log so i'm at a loss for what to try as I don't know too much about all this.

I also tried a couple of other packages to install/update and I'm getting errors with those as well. ranging from no ebuild to satisfy (insert package) to

stack:
ebuild.sh, line 1614: Called dyn_compile
ebuild.sh, line 971: Called qa_call 'src_compile'
environment, line 3707: Called src_compile
amsn-0.97_rc1.ebuild, line 43: Called econf '--disable-debug' '--disable-static'
ebuild.sh, line 577: Called die

!!! econf failed


Are they related? would other packages fail to build if portage isn't at it's latest version? Does anyone have any ideas that might help?
wobbleyhead
Baby Hen
 
Posts: 9
Joined: Tue Jul 10, 2007 14:18

Postby wolfden » Fri Aug 17, 2007 10:54

what version are you running?

what have you all done to your system?

gcc issues are not a good thing.
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Postby wobbleyhead » Fri Aug 17, 2007 11:11

This is what I'm running

Linux version 2.6.20-sabayon-r3 ([email protected]) (gcc version 4.1.1 (Gentoo 4.1.1-r3)) #1 SMP Tue Mar 13 21:25:59 UTC 2007

This was a fresh install a few weeks ago, made a slight error with repartitioning and fragged the grub partition, so i reinstalled again. since then i've tried to update a few packages and get my wireless card working (with no succes, but that's another issue).

How bad is not good?
wobbleyhead
Baby Hen
 
Posts: 9
Joined: Tue Jul 10, 2007 14:18

Postby wolfden » Fri Aug 17, 2007 11:39

what version of SabayonLinux?

mini dvd 3.3 3.4a 3.4e ?????????????????????????




what does
gcc-config -l

show?
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Postby wobbleyhead » Fri Aug 17, 2007 12:26

[1] i586-pc-linux-gnu-4.1.1 * this is the output from gcc-config -l

it's release 3.4 loop 3 i'm running....i know it's not the mini edition
wobbleyhead
Baby Hen
 
Posts: 9
Joined: Tue Jul 10, 2007 14:18

Postby wobbleyhead » Fri Aug 17, 2007 14:53

After some searching I found this post. After reading through it, it appears I may have inadvertantley destroyed something(s) important :oops:

Further in I found a command to show me what it is that i'm missing and according to that, this is what i needed to re-emerge

# grep i386-pc-linux-gnu /var/db/pkg/ -r|cut -d\/ -f5-6
media-tv/linuxtv-dvb-1.1.1-r1
x11-misc/glx-utils-6.3.1.1
x11-misc/glx-utils-6.3.1.1
x11-themes/etheme-BlueSteel-0.16.7.1
x11-themes/etheme-BlueSteel-0.16.7.1
x11-themes/etheme-Ganymede-0.16.7.1
x11-themes/etheme-Ganymede-0.16.7.1
x11-themes/etheme-BrushedMetal-Tigert-0.16.7.1
x11-themes/etheme-BrushedMetal-Tigert-0.16.7.1
x11-themes/ethemes-0.16.7
x11-themes/ethemes-0.16.7
x11-themes/etheme-ShinyMetal-0.16.7.1
x11-themes/etheme-ShinyMetal-0.16.7.1
media-fonts/font-bh-100dpi-1.0.0
media-fonts/font-bh-100dpi-1.0.0
net-libs/libnet-1.0.2a-r3
net-libs/libnet-1.0.2a-r3
dev-dotnet/gtkhtml-sharp-1.0.10
dev-dotnet/gtkhtml-sharp-1.0.10
dev-dotnet/ipod-sharp-0.5.12
dev-dotnet/ipod-sharp-0.5.12
dev-dotnet/glade-sharp-1.0.10
dev-dotnet/glade-sharp-1.0.10
dev-dotnet/art-sharp-1.0.10
dev-dotnet/art-sharp-1.0.10
dev-dotnet/gnome-sharp-1.0.10
dev-dotnet/gnome-sharp-1.0.10
dev-dotnet/gconf-sharp-1.0.10
dev-dotnet/gconf-sharp-1.0.10
media-gfx/icon-slicer-0.3
dev-util/pccts-1.33.33
sys-fs/raidtools-1.00.3-r6
sys-fs/raidtools-1.00.3-r6
dev-libs/libsigc++-1.2.5
dev-libs/libunicode-0.4-r1
dev-libs/libunicode-0.4-r1
dev-libs/libsigc++-2.0.1
dev-libs/libcroco-0.5.1
dev-perl/perl-tk-804.027
dev-perl/perl-tk-804.027
dev-perl/module-info-0.26
dev-perl/module-info-0.26
dev-perl/GD-2.30
dev-perl/GD-2.30
dev-perl/Attribute-Handlers-0.78-r1
dev-perl/SGMLSpm-1.03-r5
dev-perl/SGMLSpm-1.03-r5
dev-perl/Class-Factory-Util-1.6
dev-perl/Class-Factory-Util-1.6
dev-perl/XML-SAX-Base-1.04
dev-perl/XML-SAX-Base-1.04
dev-perl/DBD-SQLite-1.09
dev-perl/DBD-SQLite-1.09
sys-apps/raidutils-0.0.6
sys-apps/raidutils-0.0.6
sys-apps/lm_sensors-2.9.0
sys-apps/miscfiles-1.4.2
sys-apps/ddcxinfo-knoppix-0.6
sys-apps/i2c-2.9.0
sys-apps/gparted-0.0.8
sys-apps/gparted-0.0.8
app-crypt/gpgme-0.3.14-r1
app-crypt/cryptplug-0.3.16-r1
dev-tex/untex-9210
dev-tex/untex-9210
sys-libs/db-1.85-r3
sys-libs/db-1.85-r3
sys-libs/db-1.85-r3
app-portage/mirrorselect-1.2
app-portage/mirrorselect-1.2
x11-proto/glproto-1.4.6_alpha20060317
x11-proto/glproto-1.4.6_alpha20060317
app-text/docbook-sgml-dtd-3.0-r3
app-text/docbook-sgml-dtd-3.0-r3
app-text/docbook-xml-dtd-4.3-r1
app-text/docbook-xml-dtd-4.3-r1
app-text/man2html-1.5l-r2
app-text/man2html-1.5l-r2
app-text/unrtf-0.19.3-r1
app-text/unrtf-0.19.3-r1
app-text/docbook-sgml-utils-0.6.14
gnome-extra/gal-0.24
gnome-extra/gal-0.24
media-sound/madplay-0.15.2b
media-sound/gsm-1.0.10
app-shells/sash-3.7
perl-core/DB_File-1.814
perl-core/DB_File-1.814
perl-core/libnet-1.19
perl-core/libnet-1.19
perl-core/Digest-MD5-2.33
perl-core/Digest-MD5-2.33
app-misc/glimpse-4.18.0
app-misc/glimpse-4.18.0
media-libs/freetype-1.3.1-r5
media-libs/freetype-1.3.1-r5
media-libs/divx4linux-20030428-r1
media-libs/libpixman-0.1.2
media-libs/zvbi-0.2.16
media-libs/zvbi-0.2.16
media-libs/gd-2.0.33
media-libs/gd-2.0.33
x11-libs/libzvt-2.0.1-r2
x11-libs/gtkglarea-1.2.3-r1
media-plugins/gst-plugins-mad-0.8.12
media-plugins/gst-plugins-mad-0.8.12
media-plugins/gst-plugins-ogg-0.8.12
media-plugins/gst-plugins-ogg-0.8.12
media-plugins/gst-plugins-vorbis-0.8.12
media-plugins/gst-plugins-vorbis-0.8.12
dev-cpp/libgnomecanvasmm-2.0.1
dev-cpp/libgnomemm-2.0.1
dev-cpp/libglademm-2.2.0
dev-cpp/libgnomeuimm-2.0.0
dev-cpp/gtkmm-2.2.12
dev-cpp/gconfmm-2.0.2
app-arch/ncompress-4.2.4-r1
dev-tcltk/snack-2.2.10-r1
dev-tcltk/snack-2.2.10-r1
dev-tcltk/iwidgets-4.0.1
sys-power/powermgmt-base-1.22
sys-power/powermgmt-base-1.22
app-accessibility/speech-tools-1.2.3-r3
app-accessibility/speech-tools-1.2.3-r3


So I ran this

grep i386-pc-linux-gnu /var/db/pkg/*/*/CHOST -R|cut -d\/ -f5-6
for package in $(grep i386-pc-linux-gnu /var/db/pkg/*/*/CHOST -R|cut -d\/ -f5-6); do emerge =${package}; done


which i lifted from SilveRo and is currently running, so i suppose i'll seehow that turns out
wobbleyhead
Baby Hen
 
Posts: 9
Joined: Tue Jul 10, 2007 14:18

Postby DontPanic » Sat Aug 18, 2007 2:03

This almost sounds like your CHOST setting in /etc/make.conf is set wrong.

I ran into something like this with Gentoo, and it was because I imported a make.conf file without checking the CHOST version.
DontPanic
Old Dear Hen
 
Posts: 742
Joined: Mon Jul 09, 2007 20:29
Location: Mobile, AL, USA

Re: Confused newbie

Postby wobbleyhead » Mon Aug 20, 2007 8:27

This is what's in the make.conf file. I haven't altered it since the install last week


CFLAGS="-Os -march=i586 -mno-tls-direct-seg-refs -mmmx -m32"
LDFLAGS="-Wl,-O1 -Wl,--enable-new-dtags -Wl,--sort-common -s"
CHOST="i386-pc-linux-gnu"
USE="-oss voice weather libao -esd amarok xine java mp3 gnutls cups ppds foomatic-db alsa hal gimpprint freetype gnome X gtk2 unicode moznocompose moznoirc moznomail kde qt livecd samba rdesktop kerberos xscreensaver pda zeroconf wifi gnokii lm_sensors ieee1394 logitech-mouse xinerama bluetooth irda sms postgres mysql quotas dvb nvidia xprint dvd theora ogg a52 kdeenablefinal win32codecs v4l xvid network dvdread fame quicktime -kerberos winbind libclamav subversion php ruby sql svg ffmpeg nsplugin wmf 7Zip visualization accessibility css audiofile artswrappersuid musicbrainz gphoto2 povray scanner musepack dvdr jack new-login commercial kerberos mono pam_console pwdb dbus firefox acpi kqemu esd pcmcia openexr rar dri aac apache2 dlloader ldap fat hfs jfs xfs ntfs reiserfs cjk cdda dts imap flash jabber msn yahoo icq irc lj aim bidi rss dxr3 cairo sysfs xpm nptl nptlonly reiser4 gs dv lzo mjpeg mmx speex slp fftw real joystick asf xvmc mythtv v4l2 cpudetection matroska vcd libcaca sndfile plugin inkjar effects streams skins wxwindows xosd extraicons speech extramodules mail -apm config_wizard krb4 dga lcd chm spreadsheet webservices pdf xsl ext-man ext-rtf ext-tex pascal clearcase ada glitz gcj switch_all_desktops ipod flac exscalibar ole evo avahi stream live kdehiddenvisibility tiff usb kipi aiglx musicbrainz x264 3dfx pulseaudio x264 dv lame mp3rtp udev cdr beagle dvi djvu libnotify bzip2 aalib mng startup-notification openal jingle gsm ivtv dbox2"
CXXFLAGS="${CFLAGS}"
ACCEPT_KEYWORDS="~x86"
LINGUAS="en"
MAKEOPTS="-j2 -s "
PORTAGE_NICENESS="8"
FEATURES="parallel-fetch "
CONFIG_PROTECT="/usr/kde/3.5/share/config/kdm/ /etc"
VIDEO_CARDS="apm ark chips cirrus cyrix dummy fbdev fglrx glint i128 i740 i810 imstt mach64 mga neomagic nsc nv nvidia r128 radeon rendition s3 s3virge savage siliconmotion sis sisusb tdfx tga trident tseng v4l vesa vga via vmware voodoo epson"
INPUT_DEVICES="evdev keyboard mouse acecad aiptek calcomp citron digitaledge dmc dynapro elo2300 elographics fpit hyperpen jamstudio joystick magellan microtouch mutouch palmax penmount spaceorb summa synaptics tek4957 wacom ur98 vmmouse void wacom" source /usr/portage/local/layman/make.conf
PORTDIR="/usr/portage"
The beauty of not planning is that failure comes as a complete surprise and is not preceded by a period of nauseous worry and depression
wobbleyhead
Baby Hen
 
Posts: 9
Joined: Tue Jul 10, 2007 14:18

Re: Confused newbie

Postby wolfden » Mon Aug 20, 2007 8:39

i386??

it should be i586-pc-linux-gnu


that doesn't change by itself either.
wolfden
Sharecropper
 
Posts: 9050
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: Confused newbie

Postby wobbleyhead » Mon Aug 20, 2007 10:17

So if i changed i386 to i586 then it would be ok?

I understand it doesnt change by it'self but i'm trying to think how it would've done, where does that info come from?
The beauty of not planning is that failure comes as a complete surprise and is not preceded by a period of nauseous worry and depression
wobbleyhead
Baby Hen
 
Posts: 9
Joined: Tue Jul 10, 2007 14:18

Next

Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 2 guests

cron